/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package lab13;

/**
 *
 * @author pasinee
 */
public class MainMenu extends javax.swing.JFrame {

    /**
     * Creates new form MainMenu
     */
    public MainMenu() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuBar1 = new javax.swing.JMenuBar();
        ManageDatabase = new javax.swing.JMenu();
        ManageCustomer = new javax.swing.JMenu();
        ShowDocument = new javax.swing.JMenuItem();
        ShowDocumentCondition = new javax.swing.JMenuItem();
        AddDocument = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        ManageDatabase.setText("จัดการฐานข้อมูล");
        ManageDatabase.setFont(new java.awt.Font("Microsoft Sans Serif", 1, 12)); // NOI18N
        jMenuBar1.add(ManageDatabase);

        ManageCustomer.setText("จัดการข้อมูลผู้ใช้");
        ManageCustomer.setFont(new java.awt.Font("Microsoft Sans Serif", 1, 12)); // NOI18N

        ShowDocument.setFont(new java.awt.Font("Microsoft Sans Serif", 1, 12)); // NOI18N
        ShowDocument.setText("แสดงข้อมูลทั้งหมด");
        ShowDocument.setToolTipText("แสดงข้อมูลทั้งหมดแสดงข้อมูลทั้งหม");
        ShowDocument.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ShowDocumentActionPerformed(evt);
            }
        });
        ManageCustomer.add(ShowDocument);

        ShowDocumentCondition.setFont(new java.awt.Font("Microsoft Sans Serif", 1, 12)); // NOI18N
        ShowDocumentCondition.setText("แสดงข้อมูลแบบเงื่อนไข");
        ShowDocumentCondition.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ShowDocumentConditionActionPerformed(evt);
            }
        });
        ManageCustomer.add(ShowDocumentCondition);

        AddDocument.setFont(new java.awt.Font("Microsoft Sans Serif", 1, 12)); // NOI18N
        AddDocument.setText("เพิ่มข้อมูล");
        AddDocument.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AddDocumentActionPerformed(evt);
            }
        });
        ManageCustomer.add(AddDocument);

        jMenuBar1.add(ManageCustomer);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 716, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 461, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ShowDocumentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ShowDocumentActionPerformed
        // TODO add your handling code here:
        ShowDocument from2 = new ShowDocument();
        from2.setVisible(true);
    }//GEN-LAST:event_ShowDocumentActionPerformed

    private void ShowDocumentConditionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ShowDocumentConditionActionPerformed
        // TODO add your handling code here:
        ShowDocumentCondition from2 = new ShowDocumentCondition();
        from2.setVisible(true);
    }//GEN-LAST:event_ShowDocumentConditionActionPerformed

    private void AddDocumentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AddDocumentActionPerformed
        // TODO add your handling code here:
        AddDocument from2 = new AddDocument();
        from2.setVisible(true);
    }//GEN-LAST:event_AddDocumentActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(MainMenu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(MainMenu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(MainMenu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(MainMenu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new MainMenu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem AddDocument;
    private javax.swing.JMenu ManageCustomer;
    private javax.swing.JMenu ManageDatabase;
    private javax.swing.JMenuItem ShowDocument;
    private javax.swing.JMenuItem ShowDocumentCondition;
    private javax.swing.JMenuBar jMenuBar1;
    // End of variables declaration//GEN-END:variables
}
